Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -471,4 +471,6 @@
 ECHO package G4Simple v2r0p0   >> "%obuild_dir_project%\Versions"
 ECHO package G4Examples v1r0   >> "%obuild_dir_project%\Versions"
+ECHO package bhep v1r4p2   >> "%obuild_dir_project%\Versions"
+ECHO package snova v2r0p0   >> "%obuild_dir_project%\Versions"
 ECHO package snovis v1r1   >> "%obuild_dir_project%\Versions"
 ECHO foreign Motif 2.2   >> "%obuild_dir_project%\Versions"
@@ -2508,21 +2510,20 @@
 :end_if_copy_357
 :end_if_release_355
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_358
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" GOTO end_if_copy_359
-  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_bhep_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_358
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" GOTO end_if_copy_359
+  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_359
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" GOTO end_if_copy_360
-  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" GOTO end_if_copy_360
+  COPY "%obuild_bhep_path%\%obuild_dir_bin%\bhep.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2532,17 +2533,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_361
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" GOTO end_if_copy_362
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_361
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" GOTO end_if_copy_362
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_362
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" GOTO end_if_copy_363
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" GOTO end_if_copy_363
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\geomutils.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2552,17 +2553,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_364
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" GOTO end_if_copy_365
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_364
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" GOTO end_if_copy_365
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_365
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" GOTO end_if_copy_366
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" GOTO end_if_copy_366
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\sngeom.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2572,17 +2573,17 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_367
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" GOTO end_if_copy_368
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_367
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" GOTO end_if_copy_368
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_368
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" GOTO end_if_copy_369
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" GOTO end_if_copy_369
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snvertex.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2592,37 +2593,38 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_370
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" GOTO end_if_copy_371
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  snova v2r0p0`) DO SET obuild_snova_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_snova_path  ECHO Can't find snova package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snova_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_370
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" GOTO end_if_copy_371
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_371
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" GOTO end_if_copy_372
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" GOTO end_if_copy_372
+  COPY "%obuild_snova_path%\%obuild_dir_bin%\snova.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_372
 :end_if_release_370
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_373
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" GOTO end_if_copy_374
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r0`) DO SET obuild_Lib_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_373
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" GOTO end_if_copy_374
+  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
 :end_if_copy_374
-IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" GOTO end_if_copy_375
-  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" GOTO end_if_copy_375
+  COPY "%obuild_Lib_path%\%obuild_dir_bin%\LibTest.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -2632,4 +2634,104 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_376
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" GOTO end_if_copy_377
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_377
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" GOTO end_if_copy_378
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabLoadAIDA.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_378
+:end_if_release_376
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_379
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" GOTO end_if_copy_380
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_380
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" GOTO end_if_copy_381
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabRio.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_381
+:end_if_release_379
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_382
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" GOTO end_if_copy_383
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_383
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" GOTO end_if_copy_384
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabXML.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_384
+:end_if_release_382
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_385
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" GOTO end_if_copy_386
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_386
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" GOTO end_if_copy_387
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabHDF5.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_387
+:end_if_release_385
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r0`) DO SET obuild_BatchLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_BatchLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_388
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" GOTO end_if_copy_389
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_389
+IF NOT EXIST "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" GOTO end_if_copy_390
+  COPY "%obuild_BatchLab_path%\%obuild_dir_bin%\BatchLabZebra.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_390
+:end_if_release_388
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
 FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r0`) DO SET obuild_CoinPython_path=%%j
 cd "%obuild_pwd_osc_snovis_1%"
@@ -2637,46 +2739,46 @@
 IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_376
-IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" GOTO end_if_copy_377
+IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_CoinPython_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_391
+IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" GOTO end_if_copy_392
   COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_377
-IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" GOTO end_if_copy_378
+:end_if_copy_392
+IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" GOTO end_if_copy_393
   COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_378
-IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" GOTO end_if_copy_379
+:end_if_copy_393
+IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" GOTO end_if_copy_394
   COPY "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_379
-:end_if_release_376
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_380
-IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" GOTO end_if_copy_381
+:end_if_copy_394
+:end_if_release_391
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r6p0`) DO SET obuild_HEPVis_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_HEPVis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_395
+IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" GOTO end_if_copy_396
   COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_381
-IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" GOTO end_if_copy_382
+:end_if_copy_396
+IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" GOTO end_if_copy_397
   COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_382
-IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" GOTO end_if_copy_383
+:end_if_copy_397
+IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" GOTO end_if_copy_398
   COPY "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVis_SWIG_Python.pyd" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_383
-:end_if_release_380
+:end_if_copy_398
+:end_if_release_395
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2687,16 +2789,16 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_384
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" GOTO end_if_copy_385
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_399
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" GOTO end_if_copy_400
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_385
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" GOTO end_if_copy_386
+:end_if_copy_400
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" GOTO end_if_copy_401
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXSession.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_386
-:end_if_release_384
+:end_if_copy_401
+:end_if_release_399
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2707,16 +2809,16 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_387
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" GOTO end_if_copy_388
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_402
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" GOTO end_if_copy_403
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_388
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" GOTO end_if_copy_389
+:end_if_copy_403
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" GOTO end_if_copy_404
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXTestDLD.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_389
-:end_if_release_387
+:end_if_copy_404
+:end_if_release_402
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2727,16 +2829,16 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_390
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" GOTO end_if_copy_391
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_405
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" GOTO end_if_copy_406
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_391
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" GOTO end_if_copy_392
+:end_if_copy_406
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" GOTO end_if_copy_407
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXWin.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_392
-:end_if_release_390
+:end_if_copy_407
+:end_if_release_405
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -2747,16 +2849,16 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_393
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" GOTO end_if_copy_394
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_408
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" GOTO end_if_copy_409
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_394
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" GOTO end_if_copy_395
+:end_if_copy_409
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" GOTO end_if_copy_410
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnXQt.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_395
-:end_if_release_393
+:end_if_copy_410
+:end_if_release_408
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
